unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, VCLTee.TeEngine,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.Series;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var result: TPointSeries;
begin
  result := TPointSeries.Create(nil);
  with result do
  begin
    tag := -1000;
    Pointer.Visible := true;
    Color := clBlue;
    ShowInLegend := false;
    Pointer.Style := psRectangle;
    Pointer.Size := 3;
    Marks.Visible := true;
    Marks.Style := smsLabel;
    Marks.Transparent := true;
    Marks.Clip := true;
    Marks.ClipText := true;
    Marks.VertTextAlign := vtaTop;
    Marks.ArrowLength := 10;
    Marks.Arrow.Visible := false;
    Marks.Clip := true;
    Marks.TextAlign := taRightJustify;
    HorizAxis := aBottomAxis;
    VertAxis := aLeftAxis;
    YMandatory := false;
  end;

  chart1.AddSeries(result);

  chart1.Series[0].AddXY(1, 3, 'sdsd');
  chart1.Series[0].AddXY(2, 5, 'sdsd');
  chart1.Series[0].AddXY(4, 4, 'sdsd');
end;

end.
